Subject: [manet] Some Changes on IEEE 802.11 Mac Layer.

From: hamid reza <[email-masked]>
Date: Fri, 12 Jan 2007 06:57:04 -0800 (PST)

Dear All,
In "ECS: an Enhanced Carrier Sensing Mechanism for
Wireless Ad-hoc Networks" Paper.
Authors proposed we can select Best Value For EIFS
Based on Frame Length.

We know : 
RTS: 20 bytes, CTS: 14 bytes,ACK: 14 bytes.
But Frame length CTS and ACK is Equal.
Authors proposed we can increase CTS value to 17.

1- But,How can we do this change in NS2.27?

On Next step:
Based on Frame length we select a good Value for EIFS:
Proposed Values :
E I F S ( R T S ) = S I F S + T x T i m e ( C T S ) ;
E I F S ( C T S ) = S I F S + T x T i m e ( M a x - D
a t a - L e n g t h ) ;
E I F S ( D a t a ) = S I F S + T x T i m e ( A C K )
;
E I F S ( A C K ) = D I F S ;
E I F S ( c o l l i s i o n o r u n k n o w n t y p e
) = S t a n d a r d E I F S ;

Example if we Receive a  frame(it s size equal with 14
bytes)We can find out this frame is ACK Frame and Best
Value for EIFS is DIFS.

2- Can you bring me or guide me How can i implement
these condition statements?

Can you Help me in these issues?

kind Regards
H.R Afrancheh

____________________________________________________________________________________
The fish are biting. 
Get more visitors on your site using Yahoo! Search Marketing.
http://searchmarketing.yahoo.com/arp/sponsoredsearch_v2.php

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet